/*
  Module misc.h
  for cnotes
*/

#include <gtk/gtk.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <fcntl.h>
#include <errno.h>
#include <pwd.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>


#include "images/book_open.xpm"
#include "images/clean.xpm"
#include "images/exit.xpm"
#include "images/book_closed.xpm"
#include "images/cal.xpm"
#include "images/clock.xpm"
#include "images/icon.xpm"
#include "images/help.xpm"
#include "images/rename.xpm"
#include "images/add.xpm"
#include "images/delete.xpm"


#ifdef WITH_BAKGROUND_IMAGE
char        *background_xpm_path = NULL;
GdkPixmap   *background_xpm;
GdkBitmap   *background_xpm_mask;
#endif

#ifdef WITH_TEXT_BG_IMAGE
char        *text_background_xpm_path = NULL;
GdkPixmap   *text_background_xpm;
GdkBitmap   *text_background_xpm_mask;
#endif

int num_pages;
#define MAX_PAGES 10
#define CNOTES_HOME ".cnotes/"

GtkWidget   *window, *notebook, *label, *button, *main_box, *bt_box;
GtkWidget   *rename_window, *del_window, *entry, *misc_box, *misc2_box;
GtkWidget   *text[MAX_PAGES], *pixmapwid[MAX_PAGES], *xlabel[MAX_PAGES];
GtkWidget   *help_text, *help_box, *help_label, *help_scrollbar;
GtkWidget   *separator;
GtkStyle    *closed_style, *open_style, *main_style;
GdkColormap *cmap;

GdkPixmap   *icon;
GdkBitmap   *icon_mask;
GdkFont *text_font;

#ifdef WITH_TEXT_BG_COLOR
GdkColor    text_background_color;
#endif

#ifdef WITH_SCROLLBARS
GtkWidget *vscrollbar0, *vscrollbar1, *vscrollbar2, *vscrollbar3, *vscrollbar4;
#endif





/* for the help widgets */

gint      help_show = 0;
GdkColor  red_color;
GdkFont  *fixed_font;
GdkFont  *bold_big_font;
gchar    *help_message={"
by Adam Kopacz / kLoGraFX
Adam.K@idnet.de - http://www.idnet.de/~AdamK/

Push help agait to hide this screen.


General :
=========

Policy: GPL

Date and time will be insert at the point in the text that you have 
set with the cursor_keys, so just clicking with the mouse on a place 
in your text don't work :-( I think this is bug in gtk/gdk...

Cnotes will create $HOME/.cnotes/ and store there all config files.


Buttons :
=========

 - Text
  
   clear - clear current page
   date  - insert date (dd/mm/yy)
   time  - inset time (hh:mm)
 
 - Page
 
   add     - add a new page
   del     - delete last page
   rename  - rename current page
   
 - General
 
   help - show this help
   exit - ? :-)


Text keys :
===========

 - Motion

   Ctrl-A  Beginning of line 
   Ctrl-E  End of line 
   Ctrl-N  Next Line 
   Ctrl-P  Previous Line 
   Ctrl-B  Backward one character 
   Ctrl-F  Forward one character 
   Alt-B   Backward one word 
   Alt-F   Forward one word

 - Editing

   Ctrl-H  Delete Backward Character (Backspace) 
   Ctrl-D  Delete Forward Character (Delete) 
   Ctrl-W  Delete Backward Word 
   Alt-D   Delete Forward Word 
   Ctrl-K  Delete to end of line 
   Ctrl-U  Delete line 

 - Selection

   Ctrl-X  Cut to clipboard 
   Ctrl-C  Copy to clipboard 
   Ctrl-V  Paste from clipboard 


Images :
========

The 'icons' are compiled into cnotes.
background.xpm (for the window and the notebook widget) and
text_background.xpm (for the text-widget) are read from disk.
You can create your own in $HOME/.cnotes/, they will be load
it exist. If not, cnotes will read from the DATA_DIR you 
have definded in the Makefile.




I hope that Cool Notes is useful for you...
Please mail bug, reports and comments to me.

-- 
bye, 
  Adam Kopacz / kLoGraFX <Adam.K@idnet.de>"};



